curl --request GET \
--url https://api.honeycomb.io/1/dataset_definitions/{datasetSlug} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/dataset_definitions/{datasetSlug}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/dataset_definitions/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"duration_ms": {
"name": "duration_ms",
"column_type": "column"
},
"error": null,
"name": null,
"parent_id": null,
"route": null,
"service_name": null,
"span_id": {
"name": "my_span_id",
"column_type": "column"
},
"span_kind": null,
"annotation_type": null,
"link_trace_id": null,
"link_span_id": null,
"status": null,
"trace_id": null,
"user": null,
"log_severity": null,
"log_message": null
}{
"error": "<string>"
}{
"error": "<string>"
}Get all Dataset Definitions
Get all definitions for a Dataset. The response returns an object with a Dataset Definition for each set Dataset Definition type.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The dataset slug.
Response
Success
Dataset Definitions describe the fields with special meaning in the Dataset.
The unique identifier (ID) for each span.
Show child attributes
Show child attributes
The ID of the trace this span belongs to.
Show child attributes
Show child attributes
The Parent Span ID - The ID of this span's parent span, the call location the current span was called from.
Show child attributes
Show child attributes
The name of the function or method where the span was created.
Show child attributes
Show child attributes
The name of the instrumented service.
Show child attributes
Show child attributes
Span Duration - How much time the span took, in milliseconds.
Show child attributes
Show child attributes
Metadata: Kind - The kind of Span. For example, client or server. The use of this field to identify Span Events and Links is deprecated. Use the field Metadata: Annotation Type.
Show child attributes
Show child attributes
Metadata: Annotation Type - The type of span annotation. For example, span_event or link. This lets Honeycomb visualize this type of event differently in a trace. Do not use this field for other purposes.
Show child attributes
Show child attributes
Metadata: Link Span ID - Links let you tie traces and spans to one another. The Link Span ID lets you link to a different span (when used with Link Trace ID).
Show child attributes
Show child attributes
Metadata: Link Trace ID - Links let you tie traces and spans to one another. The Link Trace Id lets you link to a different trace or a different span in the same trace (when used with Link Span ID).
Show child attributes
Show child attributes
Use a Boolean or String to indicate error.
Show child attributes
Show child attributes
Indicates the success, failure, or other status of a request.
Show child attributes
Show child attributes
The HTTP URL or equivalent route processed by the request.
Show child attributes
Show child attributes
The user making the request in the system.
Show child attributes
Show child attributes
Severity level of the event (also known as log level). Supported values: trace, debug, info, warn, error, fatal, unspecified.
Show child attributes
Show child attributes
A value containing the log event message. Can be a human-readable string message (including multi-line) describing the event in a free form.
Show child attributes
Show child attributes